summaryrefslogtreecommitdiff
path: root/tests/glcpp-test
diff options
context:
space:
mode:
Diffstat (limited to 'tests/glcpp-test')
-rwxr-xr-xtests/glcpp-test4
1 files changed, 2 insertions, 2 deletions
diff --git a/tests/glcpp-test b/tests/glcpp-test
index ba398af0d5..24110333a5 100755
--- a/tests/glcpp-test
+++ b/tests/glcpp-test
@@ -3,8 +3,8 @@
for test in *.c; do
echo "Testing $test"
../glcpp < $test > $test.glcpp
- grep -v '^$' < $test.glcpp > $test.out || true
+ grep -v '^ *$' < $test.glcpp > $test.out || true
gcc -E $test -o $test.gcc
- grep -v '^#' < $test.gcc | grep -v '^$' > $test.expected || true
+ grep -v '^#' < $test.gcc | grep -v '^$' | sed -r -e 's/^ +/ /' > $test.expected || true
diff -u $test.expected $test.out
done